org.fourthline.cling.binding.annotations

## Class AnnotationStateVariableBinder

- java.lang.Object
- - org.fourthline.cling.binding.annotations.AnnotationStateVariableBinder

-     public class AnnotationStateVariableBinder
      extends Object

  Author:
    Christian Bauer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected StateVariableAccessor` | `accessor`
    `protected UpnpStateVariable` | `annotation`
    `protected String` | `name`
    `protected Set<Class>` | `stringConvertibleTypes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationStateVariableBinder(UpnpStateVariable annotation, String name, StateVariableAccessor accessor, Set<Class> stringConvertibleTypes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Datatype` | `createDatatype()`
    `protected String` | `createDefaultValue(Datatype datatype)`
    `protected StateVariable` | `createStateVariable()`
    `StateVariableAccessor` | `getAccessor()`
    `protected StateVariableAllowedValueRange` | `getAllowedRangeFromProvider()`
    `protected StateVariableAllowedValueRange` | `getAllowedValueRange(long min, long max, long step)`
    `protected String[]` | `getAllowedValues(Class enumType)`
    `protected String[]` | `getAllowedValuesFromProvider()`
    `UpnpStateVariable` | `getAnnotation()`
    `String` | `getName()`
    `Set<Class>` | `getStringConvertibleTypes()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### annotation

          protected UpnpStateVariable annotation

    - #### name

          protected String name

    - #### accessor

          protected StateVariableAccessor accessor

    - #### stringConvertibleTypes

          protected Set<Class> stringConvertibleTypes

  - ### Constructor Detail

    - #### AnnotationStateVariableBinder

          public AnnotationStateVariableBinder(UpnpStateVariable annotation,
                                               String name,
                                               StateVariableAccessor accessor,
                                               Set<Class> stringConvertibleTypes)

  - ### Method Detail

    - #### getAnnotation

          public UpnpStateVariable getAnnotation()

    - #### getName

          public String getName()

    - #### getAccessor

          public StateVariableAccessor getAccessor()

    - #### getStringConvertibleTypes

          public Set<Class> getStringConvertibleTypes()

    - #### createStateVariable

          protected StateVariable createStateVariable()
                                               throws LocalServiceBindingException

      Throws:
        `LocalServiceBindingException`

    - #### createDatatype

          protected Datatype createDatatype()
                                     throws LocalServiceBindingException

      Throws:
        `LocalServiceBindingException`

    - #### createDefaultValue

          protected String createDefaultValue(Datatype datatype)
                                       throws LocalServiceBindingException

      Throws:
        `LocalServiceBindingException`

    - #### getAllowedValues

          protected String[] getAllowedValues(Class enumType)
                                       throws LocalServiceBindingException

      Throws:
        `LocalServiceBindingException`

    - #### getAllowedValueRange

          protected StateVariableAllowedValueRange getAllowedValueRange(long min,
                                                                        long max,
                                                                        long step)
                                                                 throws LocalServiceBindingException

      Throws:
        `LocalServiceBindingException`

    - #### getAllowedValuesFromProvider

          protected String[] getAllowedValuesFromProvider()
                                                   throws LocalServiceBindingException

      Throws:
        `LocalServiceBindingException`

    - #### getAllowedRangeFromProvider

          protected StateVariableAllowedValueRange getAllowedRangeFromProvider()
                                                                        throws LocalServiceBindingException

      Throws:
        `LocalServiceBindingException`

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.